import java.awt.*;

    // Contain multiple buttons within a Frame using a GridLayout.
class GridFrame extends Frame {
    public GridFrame(){
        final int width = 275, height = 175;
        setSize(width,height);
        setBackground(Color.white);

        // Use a GridLayout layout manager instead of BorderLayout.
        final int rows = 5, cols = 2;
        setLayout(new GridLayout(rows,cols));

        // Use a larger font for the buttons.
        setFont(new Font("SansSerif",Font.BOLD,20));

        // Add an arbitrary number of (non-operational) buttons,
        // in this case ten.
        final int numButtons = 10;
        for(int b = 0; b < numButtons; b++){
            add(new Button(String.valueOf(b)));
        }
    }
}
