        // Demonstrate the behavior of the toString and equals
        // methods overridden in the Point class.
class ObjectMain2 {
    public static void main(String[] args) {
        Point p1 = new Point(10,20);
        Point p2 = new Point(20,20);
        Point p3 = new Point(10,20);
        String s = "I am not a point.";

        // Illustrate toString.
        System.out.println("p1 is "+p1);
        System.out.println("p2 is "+p2);
        System.out.println("p3 is "+p3);

        // Illustrate the default equals test.
        if(p1.equals(p1)){
            System.out.println("p1 equals p1");
        }
        if(p1.equals(p2)){
            System.out.println("p1 equals p2");
        }
        if(p1.equals(p3)){
            System.out.println("p1 equals p3");
        }
        if(p1.equals(s)){
            System.out.println("p1 equals s");
        }

        // Illustrate reference equality, for comparison.
        if(p1 == p1){
            System.out.println("p1 == p1");
        }
        if(p1 == p2){
            System.out.println("p1 == p2");
        }
        if(p1 == p3){
            System.out.println("p1 == p3");
        }
    }
}
