import java.net.*;
import java.io.*;

        // Fetch the URLs passed as program arguments.
class URLFetch {
    public static void main(String[] args) {
        for(int i = 0; i < args.length; i++){
            // For illustrative purposes, handle all exceptions here.
            try{
                URLHandler handler = new URLHandler(args[i]);
                handler.fetch();
            }
            catch(Exception e){
                // There was a problem with this one.
                System.err.println("Exception: "+e+" with "+args[i]);
            }
        }
    }
}
