import javax.swing.*;
import java.awt.*;

    // Display an image in a scroll pane.
class SwingScrollFrame1 extends JFrame {
    public SwingScrollFrame1() {
        final int width = 175, height = 200;
        setSize(width,height);
        Container contents = getContentPane();

        // Create a scroller for the image.
        final JScrollPane scroller = new JScrollPane(getLabel());

        contents.add(scroller,"Center");

        JPanel buttonPanel = new JPanel();
        buttonPanel.add(new QuitJButton());
        contents.add(buttonPanel,"South");
    }

        // Show the image in the scroll area.
    public void setImage(String file){
        try{
            getLabel().setIcon(new ImageIcon(file));
        }
        catch(Exception e){
            JOptionPane.showMessageDialog(
                    getContentPane(),
                    e.toString(),
                    "Image Failure",
                    JOptionPane.ERROR_MESSAGE);
        }
    }

    protected JLabel getLabel(){
        return label;
    }

    // Label for the image.
    private final JLabel label = new JLabel();
}
