        // Keep a set of details on a particular team:
        //     a name, the team's coach, and their home venue.
class TeamDetails {
    TeamDetails(String name, String coach, String venue){
        setName(name);
        setCoach(coach);
        setVenue(venue);
    }

    public String getName(){
        return name;
    }

    protected void setName(String n){
        name = n;
    }

    public String getCoach(){
        return coach;
    }

    protected void setCoach(String c){
        coach = c;
    }

    public String getVenue(){
        return venue;
    }

    protected void setVenue(String v){
        venue = v;
    }

    public int getPoints(){
        return points;
    }

        // Allow points to be set, but only if non-negative.
    public void setPoints(int p){
        if(p >= 0){
            points = p;
        }
    }

    // The team's basic attributes.
    private String name, coach, venue;
    // How many points this team has.
    private int points = 0;
}
