        // Illustrate use of the TCPEndpoint class by building
        // a client of an HTTP server with it.
public class HTTPMain {
    public static void main(String[] args) {
        if(args.length == 1){
            try{
                HTTPClient client = new HTTPClient(args[0]);
                // Print what the client retrieves.
                System.out.println(client.retrieve("/index.html"));
            }
            catch(Exception e){
                System.err.println("Exception: "+e.getMessage());
            }
        }
        else{
            System.err.println("You must supply the name of a host to contact.");
        }
    }
}
