            // Test rig for a simple UDP file transfer client.
import java.net.*;
import java.io.*;

public class UDPFileClientTest {
    public static void main(String[] args) {
        if(args.length > 1){
            try{
                UDPFileClient client = new UDPFileClient(args[0]);
                for(int i = 1; i < args.length; i++){
                    client.run(args[i]);
                }
            }
            catch(Exception e){
                System.err.println("Exception: "+e.getMessage());
            }
        }
        else{
            System.err.println("Usage: java UDPFileExample host file(s) ...");
        }
    }
}
