    // Regular debits are made from the account if there are
    // sufficient funds.
class DirectDebit extends AccountUser implements Runnable {
    public DirectDebit(Account account){
        super(account);
    }

    public void run(){
        Account account = getAccount();
        final long debitAmount = 100;
        final long sleepTime = 100;

        while(true){
            try{
                if(account.getBalance() >= debitAmount){
                    if(!account.debit(debitAmount)){
                        System.out.println("The direct debit failed!");
                    }
                }
                Thread.sleep(sleepTime);
            }
            catch(InterruptedException e){
            }
        }
    }
}
